# frozen_string_literal: true

FactoryBot.define do
  factory :shipping_option, class: PlanetExpress::ShippingOption do
    sequence(:provider) { 'LP' }
    sequence(:package_size) { %w[S M L].sample }
    sequence(:price_in_cents) { |i| i * 100 }
  end
end
